Subject: Re: bug#68799: 30.0.50; emacs --fg-daemon fails silently if server-start fails

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Feb 2024 22:04:37 +0200

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 13 Feb 2024 15:02:00 -0500
> 
> > I think your patch will prevent us from doing that because the code
> > which you suggest to patch with DAEMON_RUNNING will kill Emacs before
> > startup.el gets the chance to show the error message, because
> > daemon-initialized has not yet been run by that time.
> 
> Nope, it won't prevent us from doing that.  My patch affects only
> *uncaught* errors, and improves behavior when errors are uncaught.  The
> separate change we will make to the code you posted is to *catch more
> errors*.  A change to the behavior for uncaught errors doesn't interfere
> with us deciding to catch more errors.  Defining an explicit error
> handler, of course, completely overrides the default handle for uncaught
> errors.  So they're totally separate patches.

Then let's see them together, so we understand what happens in each
and every case.  This bug started from a silent failure to start the
server, so its solution should solve at least that.